RagTime5PipelineInternal::PipelineCParser Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
RagTime5PipelineInternal::PipelineCParser Struct Reference

try to read a pipeline cluster: 104,204,4104, 4204 More...

Inheritance diagram for RagTime5PipelineInternal::PipelineCParser:

## Public Member Functions
| PipelineCParser (RagTime5ClusterManager &parser, int type)
| constructor More...
shared_ptr< RagTime5ClusterManager::Cluster > | getCluster ()
| return the current cluster More...
shared_ptr< ClusterPipeline > | getPipelineCluster ()
| return the pipeline cluster More...
bool | parseField (RagTime5StructManager::Field const &field, int, libmwaw::DebugStream &f)
| parse a field More...
bool | parseZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse a zone More...
Public Member Functions inherited from RagTime5ClusterManager::ClusterParser
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor More...
virtual | ~ClusterParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster More...
virtual void | startZone ()
| start a new zone More...
virtual void | endZone ()
| end of a start zone call More...
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name More...
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header More...
std::string | getClusterName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know) More...

## Protected Attributes
shared_ptr< ClusterPipeline > | m_cluster
| the current cluster More...

## Additional Inherited Members
Public Attributes inherited from RagTime5ClusterManager::ClusterParser
RagTime5ClusterManager & | m_parser
| the main parser More...
int | m_type
| the cluster type More...
bool | m_hiLoEndian
| zone endian More...
std::string | m_name
| the cluster name More...
int | m_dataId
| the actual zone id More...
Link | m_link
| the actual link More...

## Detailed Description

try to read a pipeline cluster: 104,204,4104, 4204

## Constructor & Destructor Documentation

RagTime5PipelineInternal::PipelineCParser::PipelineCParser | ( | RagTime5ClusterManager & | parser,
|  | int | type
| ) |  |
| inline

constructor

## Member Function Documentation

shared_ptr<RagTime5ClusterManager::Cluster> RagTime5PipelineInternal::PipelineCParser::getCluster | ( |  | ) |
| inlinevirtual

return the current cluster

Implements RagTime5ClusterManager::ClusterParser.

shared_ptr<ClusterPipeline> RagTime5PipelineInternal::PipelineCParser::getPipelineCluster | ( |  | ) |
| inline

return the pipeline cluster

Referenced by RagTime5Pipeline::readPipelineCluster().

bool RagTime5PipelineInternal::PipelineCParser::parseField | ( | RagTime5StructManager::Field const & | field,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinevirtual

parse a field

Reimplemented from RagTime5ClusterManager::ClusterParser.

bool RagTime5PipelineInternal::PipelineCParser::parseZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinevirtual

parse a zone

Reimplemented from RagTime5ClusterManager::ClusterParser.

## Member Data Documentation

shared_ptr<ClusterPipeline> RagTime5PipelineInternal::PipelineCParser::m_cluster
| protected

the current cluster

Referenced by getCluster(), getPipelineCluster(), and parseZone().

The documentation for this struct was generated from the following file:

- RagTime5Pipeline.cxx